Bug 1661230 - [abrt] systemd-udev: eventfd_write(): systemd-udevd killed by SIGABRT
Summary: [abrt] systemd-udev: eventfd_write(): systemd-udevd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:49af8ab2d3abc07c5ee6152f9a9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 13:56 UTC by Marek Marczykowski
Modified: 2019-05-28 18:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 18:56:04 UTC


Attachments (Terms of Use)
File: backtrace (6.82 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: cgroup (323 bytes, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: core_backtrace (1.65 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: dso_list (3.24 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: environ (313 bytes, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: maps (15.47 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: mountinfo (3.83 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: open_fds (2.43 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-12-20 13:56 UTC, Marek Marczykowski
no flags Details

Description Marek Marczykowski 2018-12-20 13:56:41 UTC
Description of problem:
Happened after detaching and re-attaching network device to a virtual machine running Fedora 28, in that VM.

Related log messages:
[34049.775263] systemd[1]: systemd-udevd.service: Watchdog timeout (limit 3min)!
[34049.775296] systemd[1]: systemd-udevd.service: Killing process 255 (systemd-udevd) with signal SIGABRT.

Version-Release number of selected component:
systemd-udev-238-10.git438ac26.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd-udevd
crash_function: eventfd_write
executable:     /usr/lib/systemd/systemd-udevd
journald_cursor: s=099a01ebed00495496c7b6cece512a8d;i=2c;b=26f7be82a78346658832d9dddaf4fa40;m=7edae98b7;t=57d73fac21125;x=dfaf9c0ec760adc6
kernel:         4.14.74-1.pvops.qubes.x86_64
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 eventfd_write at ../sysdeps/unix/sysv/linux/eventfd_write.c:26
 #1 sd_event_wait at ../src/libsystemd/sd-event/sd-event.c:2560
 #2 sd_event_run at ../src/libsystemd/sd-event/sd-event.c:2720
 #3 sd_event_loop at ../src/libsystemd/sd-event/sd-event.c:2748
 #4 run at ../src/udev/udevd.c:1633
 #7 _start

Comment 1 Marek Marczykowski 2018-12-20 13:56:45 UTC
Created attachment 1515870 [details]
File: backtrace

Comment 2 Marek Marczykowski 2018-12-20 13:56:47 UTC
Created attachment 1515871 [details]
File: cgroup

Comment 3 Marek Marczykowski 2018-12-20 13:56:48 UTC
Created attachment 1515872 [details]
File: core_backtrace

Comment 4 Marek Marczykowski 2018-12-20 13:56:49 UTC
Created attachment 1515873 [details]
File: cpuinfo

Comment 5 Marek Marczykowski 2018-12-20 13:56:51 UTC
Created attachment 1515874 [details]
File: dso_list

Comment 6 Marek Marczykowski 2018-12-20 13:56:52 UTC
Created attachment 1515875 [details]
File: environ

Comment 7 Marek Marczykowski 2018-12-20 13:56:53 UTC
Created attachment 1515876 [details]
File: limits

Comment 8 Marek Marczykowski 2018-12-20 13:56:55 UTC
Created attachment 1515877 [details]
File: maps

Comment 9 Marek Marczykowski 2018-12-20 13:56:57 UTC
Created attachment 1515878 [details]
File: mountinfo

Comment 10 Marek Marczykowski 2018-12-20 13:56:58 UTC
Created attachment 1515879 [details]
File: open_fds

Comment 11 Marek Marczykowski 2018-12-20 13:56:59 UTC
Created attachment 1515880 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2019-05-02 20:06:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-28 18:56:04 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.